/******************************************
	PURPOSE:	Learn to use a servo and an analog input
	Created by      Rudy Schlaf
	DATE:		1/2014
*******************************************/

#include <Servo.h> //Arduino standard library
#define servopin 9 //this defines pin 9 as the pin used for the servo control lead (orange)
#define PotentiometerPin 0 //use A0 as input for the potentiometer swiper

Servo myservo;  // instantiate a Servo object named 'myservo' 
                // a maximum of eight servo objects can be created 
 
 
void setup() 
{ 
  Serial.begin(9600);        //start serial port
  myservo.attach(servopin);  // attaches the servo on pin 9 to the servo object 
} 
 
 
void loop() 
{ 
  int val=0;                             //define a temporary variable for storing the potentiometer setting
  val = analogRead(PotentiometerPin);    //read analog pin voltage. 0-5V are 'projected' onto a number range of val=0-1023
    
    
  myservo.write(map(val, 0, 1023, 0, 180));// tell servo to go to a position proportional to the potentiometer position
  Serial.println(myservo.read());        //this retrieves the servo position and sends it to the serial monitor 
} 
